com.holonplatform.jdbc.spring

## Class SpringDataSourceConfigProperties.SpringDataSourceConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.jdbc.DataSourceConfigProperties.DataSourceConfigPropertiesImpl
    - - com.holonplatform.jdbc.spring.SpringDataSourceConfigProperties.SpringDataSourceConfigPropertiesImpl

- All Implemented Interfaces:
    com.holonplatform.core.config.ConfigPropertySet, com.holonplatform.core.datastore.DataContextBound, DataSourceConfigProperties, SpringDataSourceConfigProperties
  Enclosing interface:
    SpringDataSourceConfigProperties

      public static class SpringDataSourceConfigProperties.SpringDataSourceConfigPropertiesImpl
      extends DataSourceConfigProperties.DataSourceConfigPropertiesImpl
      implements SpringDataSourceConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends com.holonplatform.core.config.ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.jdbc.spring.SpringDataSourceConfigProperties

      `SpringDataSourceConfigProperties.SpringDataSourceConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.jdbc.DataSourceConfigProperties

      `DataSourceConfigProperties.DataSourceConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `com.holonplatform.core.config.ConfigPropertySet.Builder<C extends com.holonplatform.core.config.ConfigPropertySet>, com.holonplatform.core.config.ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.jdbc.spring.SpringDataSourceConfigProperties

      `CONTINUE_ON_ERROR, DATA_SCRIPT, INITIALIZE, PRIMARY, SCHEMA_SCRIPT, SEPARATOR, SQL_SCRIPT_ENCODING`

    - ### Fields inherited from interface com.holonplatform.jdbc.DataSourceConfigProperties

      `AUTOCOMMIT, DEFAULT_MAX_POOL_SIZE, DEFAULT_NAME, DRIVER_CLASS_NAME, JNDI_NAME, MAX_POOL_SIZE, MIN_POOL_SIZE, NAME, PASSWORD, PLATFORM, TYPE, URL, USERNAME, VALIDATION_QUERY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringDataSourceConfigPropertiesImpl(String dataContextId)` Constructor

  - ### Method Summary

    - ### Methods inherited from class com.holonplatform.jdbc.DataSourceConfigProperties.DataSourceConfigPropertiesImpl

      `getDataContextId`

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jdbc.spring.SpringDataSourceConfigProperties

      `builder, builder, isContinueOnError, isInitialize, isPrimary`

    - ### Methods inherited from interface com.holonplatform.jdbc.DataSourceConfigProperties

      `getConnectionValidationQuery, getDatabasePlatform, getDriverClassName, isDisableAutoCommit`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

- - ### Constructor Detail

    - #### SpringDataSourceConfigPropertiesImpl

          public SpringDataSourceConfigPropertiesImpl(String dataContextId)

      Constructor
      Parameters:
        `dataContextId` - Optional data context id

Copyright © 2019 The Holon Platform. All rights reserved.